Skip to content

Patch agents

Request

Bulk patch agents/admins.

Security
ApiKeyAuth
Bodyapplication/json

List of agent/admin patch actions

Array [
idstringrequired

Unique identifier for the agent

displayNamestring

The agent's display name

phoneNumberstring

The agent's primary phone number

additionalEmailsArray of strings, unique

Additional email addresses for the agent

additionalPhoneNumbersArray of strings, unique

Additional phone numbers for the agent

firstNamestring

The agent's first name

lastNamestring

The agent's last name

middleNamesArray of strings

The agent's middle names

avatarUrlstring

The url from which to load the agent's avatar

]
PATCH
/v1/agents
curl -i -X PATCH \
  https://dev.dixa.io/v1/agents \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "id": "434ce9f5-14c8-4be1-a0a8-f755010deb9b",
      "displayName": "AB",
      "additionalEmails": [],
      "additionalPhoneNumbers": [],
      "middleNames": []
    },
    {
      "id": "434ce9f5-14c8-4be1-a0a8-f755010deb9c",
      "displayName": "JB",
      "additionalEmails": [],
      "additionalPhoneNumbers": [],
      "middleNames": []
    }
  ]'

Responses

The list of patch action outcomes

Bodyapplication/json
dataArray of any(BulkActionOutcome_BulkError_Agent)
Response
{ "data": [ {}, {} ] }